Skip to forum content

You are not logged in. Please login or register.


forums.pvpgn.pro → [EN] Diablo → Unable to Identify Version

Pages 1

You must login or register to post a reply

RSS topic feed

Posts: 8

1

Topic: Unable to Identify Version

not my first rodeo, but it has been a long time.

Everything seems to be setup, but clearly that is not the case. I'm running a VPS Windows Server


You can connect to the server, but when it goes to validate the version it denies.

v1.13d (files downloaded through setup and manually, tried both)

bnetconfig:
d2cs_version = 0
allow_bad_version = true
allow_unknown_version = true


If anyone is willing to help that would be awesome. I feel like I'm running into walls with everything I am trying. If you are able let me know what you need.




Thanks!

2

Re: Unable to Identify Version

you can disable versioncheck, then you should connect without problems

skip_versioncheck = true

3

Re: Unable to Identify Version

which file has "skip_versioncheck = true"?

bnet config doesn't have it, nor could I locate a config file that does.


---
PvPGN log: The other logs do not have anything registered from my logging in

Aug 21 13:51:46 [info ] pvpgn::bnetd::realm_active: realm Realm Venom actived
Aug 21 13:51:53 [info ] pvpgn::bnetd::sd_accept: [788] accepted connection from my.ip.address.here:59214 on 199.195.118.250:6112
Aug 21 13:51:53 [info ] pvpgn::bnetd::handle_init_packet: [788] client initiated bnet connection
Aug 21 13:51:53 [info ] pvpgn::bnetd::conn_set_gamelang: [788] setting client gamelang to "enUS"
Aug 21 13:51:54 [info ] pvpgn::bnetd::conn_destroy: [788] closed bnet connection

4

Re: Unable to Identify Version

Are you sure the error is the version?

Generally, a more specific log is generated when such an error exists.

I recommend you enable all Log types in bnetd.conf


bnetd.conf

loglevels = fatal,error,warn,info,debug,trace

Then try connecting to the server - and send us the logs here in the forum for review.

5 (edited by realmvenom 22.08.2018 01:27)

Re: Unable to Identify Version

New log from pvpgn:



ug 21 17:17:48 [debug] pvpgn::bnetd::ipbanlist_check: lastcheck: 1534886223, now: 1534886268, now-lc: 45.
Aug 21 17:17:48 [debug] pvpgn::bnetd::ipbanlist_check: checking [my.ip.address]
Aug 21 17:17:49 [info ] pvpgn::bnetd::sd_accept: [808] accepted connection from [my.ip.address]:61016 on 199.195.118.250:6112
Aug 21 17:17:49 [debug] pvpgn::bnetd::conn_create: [808][800] sessionkey=0x1534886370 sessionnum=0x00000001
Aug 21 17:17:49 [debug] pvpgn::bnetd::sd_accept: [808] client connected to a bnet listening address
Aug 21 17:17:49 [info ] pvpgn::bnetd::handle_init_packet: [808] client initiated bnet connection
Aug 21 17:17:49 [trace] pvpgn::bnetd::conn_shutdown: [808] connection already closed
Aug 21 17:17:49 [debug] pvpgn::bnetd::conn_set_class: added latency check timer
Aug 21 17:17:49 [debug] pvpgn::bnetd::_client_auth_info: [808] AUTH_INFO packet { protocol=0x0, platform=IX86, product=D2XP, versionid=0xd, language=enUS, localip=0xb00000a, tzbias=00f0, locale=1033, language=1033, country=USA.United States }
Aug 21 17:17:49 [info ] pvpgn::bnetd::conn_set_gamelang: [808] setting client gamelang to "enUS"
Aug 21 17:17:49 [debug] pvpgn::bnetd::_client_auth_info: [808] selected "IX86ver1.mpq" "A=3845581634 B=880823580 C=1363937103 4 A=A-S B=B-C C=C-A A=A-B"
Aug 21 17:17:49 [debug] pvpgn::bnetd::sd_tcpinput: [808] read returned -1 (closing connection)

Aug 21 17:17:49 [info ] pvpgn::bnetd::conn_destroy: [808] closed bnet connection



highlighted the red area, and for some reason it seems soooo familiar to me and I can't put my finger on it... sigh...

it's the versioncheck.json file... that is why it was familiar... now to figure out why lol

6

Re: Unable to Identify Version

Yeap, you need to configure the versioncheck.json  with the version patch that you use.

7

Re: Unable to Identify Version

Feofilaktt wrote:

Yeap, you need to configure the versioncheck.json  with the version patch that you use.


Thanks, I didn't realize not all my logs had been turned on.

No I need to figure out how to get v1.13c versioncheck ... hmmmm that or just go for 1.14... hmmmm








Tested 1.14, logs in now and makes games.


You know sometimes it's the small things we overlook! lol

8

Re: Unable to Identify Version

True story hahaha

regards,

Posts: 8

Pages 1

You must login or register to post a reply

Who now at forum

Currently view post: 1 guest, 0 registered users

forums.pvpgn.pro → [EN] Diablo → Unable to Identify Version